import { HttpResponse } from '../@types'
import request from './request'

class CharteredBusService {
  // 包车訂單详情
  static async GetTYMyCarOrderInfo(OrderId:number):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYMyCarOrderInfo',{OrderId})
  }
  // 取消包车訂單
  static async CancelTYCarOrder(OrderId:number):Promise<HttpResponse>{
    return request('CarSingle_post_CancelTYCarOrder',{OrderId})
  }
  // 包车訂單列表
  static async GetTYMyCarOrderPageList(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYMyCarOrderPageList',param)
  }
  // 新增编辑 提交包车訂單
  static async SetTYCarOrder(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_SetTYCarOrder',param)
  }
  // 获取产品报价
  static async GetTYCarSingleProductMonthPrice(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYCarSingleProductMonthPrice',param)
  }
  // 包车产品详情
  static async GetTYCarSingleProductInfo(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYCarSingleProductInfo',param)
  }
  // 包车列表
  static async getTYCarSingleProductList(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYCarSingleProductPageList',param)
  }
  // 获取包车机场
  static async GetCarSingleAllAirport(params: any): Promise<HttpResponse> {
    return request('CarSingle_post_GetCarSingleAllAirportList', params)
  }
  // 获取包车所有国家
  static async GetCarSingleAllPlace(params: any): Promise<HttpResponse> {
    return request('CarSingle_post_GetCarSingleAllPlaceList', params)
  }
}

export default CharteredBusService
